using ProjectManagementSystem.Device.Extenions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.Command
{
    public class CommandBoxRelease : CommandBox
    {
        public override byte[] Serialization()
        {
            base.Serialization();

            buffer[4] = (byte)((Spare >> 8) & 0xFF);
            buffer[5] = (byte)(Spare & 0xFF);

            buffer[12] = buffer.XOR_Check(12);

            return buffer;
        }
    }
}
